Bug 168822 - File conflicts between 32bit and 64bit packages
File conflicts between 32bit and 64bit packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: aspell (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 11:05 EDT by Phil Knirsch
Modified: 2015-03-04 20:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 03:30:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2005-09-20 11:05:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050818 Fedora/1.1-0.2.7.deerpark.alpha2.1 Firefox/1.0+

Description of problem:
File conflicts exists between the installed 32bit and 64bit packages:

Error: aspell-12:0.60.3-2.i386 file conflicts with:
Error:  '/usr/bin/run-with-aspell' <=> aspell-12:0.60.3-2.x86_64


Version-Release number of selected component (if applicable):
aspell-12:0.60.3-2

How reproducible:
Always

Steps to Reproduce:
1. Use a file conflict enabled rpm to install both 32bit and 64bit versions of this package
2.
3.
  

Actual Results:  See listed file conflicts in description

Expected Results:  No file conflicts

Additional info:
Comment 1 shrek-m 2006-02-11 04:22:18 EST
the same here, rawhide 20060210 ppc64.
# LANG=C rpm -Uvh /var/cache/yum/development/packages/aspell-0.60.3-3.1.ppc.rpm
Preparing...                ########################################### [100%]
       file /usr/bin/run-with-aspell from install of aspell-0.60.3-3.1 conflicts
with file from package aspell-0.60.3-3.1

# rpm -q --qf "%{name}-%{epoch}:%{version}-%{release}.%{arch}\n" aspell
aspell-12:0.60.3-3.1.ppc64


aspell is only working without aspell.ppc64, always reproducible.

---- with aspell.ppc64 ----
# aspell -a
Fehler: No word lists can be found for the language "de_DE".
# aspell -l en -a
Fehler: No word lists can be found for the language "en".

---- without aspell.ppc64 ----
# rpm -e --nodeps aspell.ppc aspell.ppc64
# yum install aspell.ppc aspell-de


# aspell -len -a
@(#) International Ispell Version 3.1.20 (but really Aspell 0.60.3)
Comment 2 Ivana Varekova 2006-06-14 03:30:22 EDT
This problem is fixed in aspell-0.60.3-7.

Note You need to log in before you can comment on or make changes to this bug.